Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.tag.el.sql
Class SetDataSourceTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.taglibs.standard.tag.common.sql.SetDataSourceTagSupport
              org.apache.taglibs.standard.tag.el.sql.SetDataSourceTag

All Implemented Interfaces:
  Serializable, IterationTag, JspTag, Tag

    public class SetDataSourceTag

extends SetDataSourceTagSupport

Tag handler for <SetDataSource> in JSTL, used to create a simple DataSource for prototyping.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.taglibs.standard.tag.common.sql.SetDataSourceTagSupport
`dataSource, dataSourceSpecified, driverClassName, jdbcURL, password, userName`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`SetDataSourceTag()`

Method Summary
`int` | `doStartTag()` Default processing of the start tag, returning SKIP_BODY.
`void` | `setDataSource(String dataSourceEL)`
`void` | `setDriver(String driverClassNameEL)`
`void` | `setPassword(String passwordEL)`
`void` | `setUrl(String jdbcURLEL)`
`void` | `setUser(String userNameEL)`

Methods inherited from class org.apache.taglibs.standard.tag.common.sql.SetDataSourceTagSupport
`release, setScope, setVar`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetDataSourceTag

    public SetDataSourceTag()

Method Detail

### setDataSource

    public void setDataSource(String dataSourceEL)

### setDriver

    public void setDriver(String driverClassNameEL)

### setUrl

    public void setUrl(String jdbcURLEL)

### setUser

    public void setUser(String userNameEL)

### setPassword

    public void setPassword(String passwordEL)

### doStartTag

    public int doStartTag()
                   throws JspException

  Description copied from class: `TagSupport`
  Default processing of the start tag, returning SKIP_BODY.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `SetDataSourceTagSupport`
  Returns:
    SKIP_BODY
  Throws:
    `JspException` - if an error occurs while processing this tag
  See Also:
    `Tag.doStartTag()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.